
.SILENT:
GT_DIR = ../..
XABSL_DIR = $(GT_DIR)/Util/xabsl

ifeq ($(subst \\,\\\\,$(ComSpec)$(COMSPEC)),)
XSLT = xsltproc --xinclude
DOT = dot
else
XSLT = xsltproc.exe --xinclude 
DOT = $(GT_DIR)/Util/dot-1.9.0/dot.exe
endif
DOTML_DIR = $(GT_DIR)/Util/dotml-1.1
XABSL_COMPILER_DIR = $(XABSL_DIR)/compiler
XABSL_XSL_DIR = $(XABSL_DIR)/xsl

XABSL_OUTPUT_DIR = $(GT_DIR)/Config/Xabsl
INTERMEDIATE_CODE = bh09-ic.dat
DOC_OUTPUT_DIR = $(GT_DIR)/Doc/Reference/BH2009BehaviorControl
XABSL_TEMP_DIR = $(GT_DIR)/Build/Xabsl/BBH2009BehaviorControl
XML_OUTPUT_DIR = $(XABSL_TEMP_DIR)
XABSL_COMPILER_OPTIONS = -V -a $(GT_DIR)/Build/Xabsl/xabsl.api

AGENTS_FILE          = $(GT_DIR)/Src/Modules/BehaviorControl/BH2009BehaviorControl/agents.xabsl

SOURCES = ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Challenges/ObstacleChallenge/head_motion_obstacle_challenge.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Challenges/ObstacleChallenge/led_control_obstacle_challenge.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Challenges/ObstacleChallenge/obstacle_challenge.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Challenges/ObstacleChallenge/search_for_goal_obstacle_challenge.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Challenges/start_challenge.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Debugging/button_interface.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/head_control.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_around.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_at_ball.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_at_ball_and_goal.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_at_point.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_down.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_left.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_right.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_striker.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_up.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/look_up_and_down.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/search_ball.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/HeadControl/search_for_goal.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/go_to_ball.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/kick.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/search_for_ball.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/special_action.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/stand_up.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/turn.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Skills/walk_to_point.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Soccer/Striker/playing_striker.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Soccer/body_control.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Soccer/ready_state.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Options/Soccer/start_soccer.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/ball_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/fall_down_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/field_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/game_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/goal_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/head_control_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/head_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/led_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/locator_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/obstacle_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/role_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/soccer_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/Symbols/team_symbols.xabsl ../../Src/Modules/BehaviorControl/BH2009BehaviorControl/agents.xabsl

include $(XABSL_DIR)/XabslMakefile
