#!/usr/bin/ruby

class DepsCollector
	
	attr_reader :real_filenames
	
	def initialize
		@object_filenames = []
		@real_filenames = []
	end
	
	
	def collect_deps(start_dep_filename)
		
		return unless start_dep_filename =~ /\.d$/
		start_obj_filename = start_dep_filename.sub(/\.d$/,'.o')
		return unless FileTest.exists?(start_obj_filename)
		raise "both .d and .o files must exist" unless FileTest.exists?(start_dep_filename)
		
		return if @object_filenames.include?(start_obj_filename.downcase)
		@object_filenames << start_obj_filename.downcase
		@real_filenames << start_obj_filename
		
		File.open(start_dep_filename, 'rb') do |file|
			file.read =~ /:(.*?):/m
			
			match = $1
			if match.nil?
				#p ["offender:",start_dep_filename]
				next
			end
			
			match.gsub!("\\",'')
			match.gsub!(/\s+/,' ')
			
			match.split(" ").each do |filename|
				next if filename =~ /.cpp$/
				if filename =~ /^\s*(Src\/.*?)\s*(|\\)$/
					header_filename = $1
					dep_filename = header_filename.sub(/^Src\/(.*)\.h$/,"#{ENV['BUILD_DIR']}/\\1.d")
					collect_deps(dep_filename)
				end				
			end
		end
	end
end




process_filename = ARGV[0]
raise "must give process file as argument" if process_filename.nil?
raise "'#{process_filename}' does not have extension .o" unless process_filename =~ /\.o$/
raise "'#{process_filename}' not found" unless FileTest.exists?(process_filename)

process_dep_filename = process_filename.sub(/\.o$/,".d")
raise "'#{process_dep_filename}' not found" unless FileTest.exists?(process_dep_filename)

d = DepsCollector.new
d.collect_deps(process_dep_filename)

$stdout.puts d.real_filenames.join("\n")