#ifndef COLORS_H_
#define COLORS_H_

#include "Tools/Streams/Streamable.h"

/** Color classes for image processing */
enum Color_Class
{    
    COLOR_CLASS_UNKNOWN = 0,
    COLOR_CLASS_NONE,
    COLOR_CLASS_YELLOW,  // Team Point
    COLOR_CLASS_BLUE,    // Team Point
    COLOR_CLASS_ORANGE,  // Ball
    COLOR_CLASS_WHITE,   // Bsmart-Marker
    COLOR_CLASS_GREEN,   // Bsmart-Marker
    COLOR_CLASS_MAGENTA  // Unused
};


enum TeamColor
{
  TEAM_COLOR_BLUE = 0,
  TEAM_COLOR_YELLOW,
  TEAM_COLOR_NONE
};



/** A simple RGB pixel*/
struct RGB_Pixel : public Streamable
{
    unsigned char r;
    unsigned char g;
    unsigned char b;

    unsigned char toGrayScale() const
    {
      int sum = (b*2 + g*5 + r*3) / 10;
      return static_cast<unsigned char>(sum);
    }

    RGB_Pixel(unsigned char r, unsigned char g, unsigned char b):r(r), g(g), b(b)
    {}

    RGB_Pixel(): r(0), g(0), b(0)
    {}

    virtual void serialize(In* in, Out* out)
    {  
      STREAM_REGISTER_BEGIN();
        STREAM(r);
        STREAM(g);
        STREAM(b);
      STREAM_REGISTER_FINISH();
    }
};


#endif //COLORS_H_
