/**
* @file ControllerQt/Platform/Linux/FireWireCamera.h
* The file declares a dummy class to communicate with a FireWire camera.
* Yeah, this is supposed to be the Linux implementation.
* Not implemented yet.
*
* @author Colin Graf
*/

#ifndef __FIREWIRECAMERA_H__
#define __FIREWIRECAMERA_H__

class FireWireImage;
class FireWireCameraParameters;

/**
* @class FireWireCamera
* The class communicates with a FireWire camera.
*/
class FireWireCamera
{
public:
  /** 
   * Constructor.
   * @param name The name of the camera.
   * @param busID The firewire bus id of the camera
   * @param image A reference to the image buffer
   * @param cameraParameters The parameters used for the camera.
   */
  FireWireCamera(const std::string& name, int busID, 
                 FireWireImage& image,
                 FireWireCameraParameters& cameraParameters) {}

  /** Destructor */
  ~FireWireCamera() {}

  /** Start recording. */
  void start() {}

  /** Stop recording. */
  void stop() {}

  /**
  * The function executes a further step in communication with 
  * the firewire camera. It has to be called quite regularily.
  * @return Was a new image received?
  */
  bool execute() { return false; }

  /** Change parameters online, called every frame*/
  void configure() {}

  /** Returns the member
   * @return The unique camera identifier
   */
  long long getUniqueIdentifier() const { return 0;}

  /** Returns the member
   * @return The value of the cameraConnected flag
   */
  bool isCameraConnected() const { return false;}

};

#endif //__FIREWIRECAMERA_H__
