/** 
* @file BH2009ObstacleSymbols.cpp
*
* Implementation of class BH2009ObstacleSymbols.
*
* @author <a href="mailto:rieskamp@informatik.uni-bremen.de">Andrik Rieskamp</a>
*/

#include "BH2009ObstacleSymbols.h"

PROCESS_WIDE_STORAGE BH2009ObstacleSymbols* BH2009ObstacleSymbols::theInstance = 0;


void BH2009ObstacleSymbols::registerSymbols(xabsl::Engine& engine)
{
  // Input symbols:
  engine.registerBooleanInputSymbol("obstacle.front_is_free2", &freeSpaceModel.frontIsFree2);
  engine.registerDecimalInputSymbol("obstacle.free_distance_in_front_of_me2", &freeSpaceModel.freeDistanceInFrontOfMe2);
  engine.registerDecimalInputSymbol("obstacle.best_angle", &freeSpaceModel.bestAngle);
  engine.registerDecimalInputSymbol("obstacle.best_obstacle_avoiding_angle", &freeSpaceModel.bestObstacleAvoidingAngle);
  engine.registerDecimalInputSymbol("obstacle.time_since_front_is_free", &freeSpaceModel.timeSinceFrontIsFree);
  engine.registerBooleanInputSymbol("obstacle.free_goal_part_in_front_of_me", &freeSpaceModel.freeGoalPartInFrontOfMe);
}
