/** 
* @file KeySymbols.cpp
*
* Implementation of class KeySymbols.
*
* @author Judith Mller
*/

#include "KeySymbols.h"

PROCESS_WIDE_STORAGE KeySymbols* KeySymbols::theInstance = 0;

void KeySymbols::registerSymbols(xabsl::Engine& engine)
{
  engine.registerBooleanInputSymbol("key.up_button_pressed_and_released", &pressed_and_released[KeyStates::up]);
  engine.registerBooleanInputSymbol("key.left_button_pressed_and_released", &pressed_and_released[KeyStates::left]);
  engine.registerBooleanInputSymbol("key.right_button_pressed_and_released", &pressed_and_released[KeyStates::right]);
  engine.registerBooleanInputSymbol("key.down_button_pressed_and_released", &pressed_and_released[KeyStates::down]);
  engine.registerBooleanInputSymbol("key.start_button_pressed_and_released", &pressed_and_released[KeyStates::start]);
}

void KeySymbols::update()
{
  for (int i=0; i < KeyStates::numberOfKeys; i++)
  {
      if (!keyStates.pressed[i]) last_not_pressed_time[i] = frameInfo.time;
      else if (frameInfo.getTimeSince(last_not_pressed_time[i]) > 200) last_pressed_time[i] = frameInfo.time;
      if (frameInfo.getTimeSince(last_pressed_time[i]) > 0 && frameInfo.getTimeSince(last_pressed_time[i]) < 400) pressed_and_released[i] = true;
      else pressed_and_released[i] = false;
  }
}
