/** 
* @file CognitionModules.h
* This file includes all modules that are available in the process Cognition.
* @author <a href="mailto:Thomas.Roefer@dfki.de">Thomas Rfer</a>
*/

#ifndef __CognitionModules_h_
#define __CognitionModules_h_

#include "Infrastructure/CameraProvider.h"
#include "Infrastructure/CognitionLogDataProvider.h"
#include "Infrastructure/CognitionConfigurationDataProvider.h"
#include "Infrastructure/TeamDataProvider.h"
#include "Infrastructure/GameDataProvider.h"
#include "Infrastructure/RobotHealthProvider.h"
#include "Infrastructure/SensorSAP.h"
#include "Infrastructure/SoundControl.h"
#include "Infrastructure/OracleDataProvider.h"
#include "Perception/NaoCameraMatrixProvider.h"
#include "Perception/CoordinateSystemProvider.h"
#include "Perception/SegmentsPerceptor.h"
#include "Perception/ColorChangePerceptor.h"
#include "Perception/BallPerceptor.h"
#include "Modeling/FallDownStateDetector/FallDownStateDetector.h"
#include "Modeling/FreeSpaceModelProvider/FreeSpaceModelProvider.h"
#include "Modeling/DribbleModelProvider/DribbleModelProvider.h"
#include "Modeling/GoalLocatorLight/GoalLocatorLight.h"
#include "Modeling/ParticleFilterBallLocator/ParticleFilterBallLocator.h"
#include "Modeling/ParticleFilterSelfLocator/SelfLocator.h"
#include "Modeling/ParticleFilterSelfLocator/SelfLocatorParameterProvider.h"
#include "BehaviorControl/BH2009BehaviorControl/BH2009BehaviorControl.h"

#endif // __CognitionModules_h_
