/** 
* @file OracleDataProvider.cpp
* This file implements a module that provides the data received from the simulator oracle.
* @author Max Risler
*/

#include "OracleDataProvider.h"
#include "Tools/Debugging/DebugDrawings.h"
#include "Tools/Team.h"

PROCESS_WIDE_STORAGE Oracle* OracleDataProvider::oracle = 0;

void OracleDataProvider::update(RobotPose& robotPose)
{
  if(oracle)
    robotPose = oracle->getRobotPose();

  TEAM_OUTPUT(idTeamMateRobotPose, bin, robotPose);
}

void OracleDataProvider::update(BallModel& ballModel)
{
  if(oracle)
    ballModel = oracle->getBallModel();

  TEAM_OUTPUT(idTeamMateBallModel, bin, ballModel);	
}

void OracleDataProvider::update(GroundTruthRobotPose& groundTruthRobotPose)
{
  if(oracle)
    (RobotPose&) groundTruthRobotPose = oracle->getRobotPose();
}

void OracleDataProvider::update(GroundTruthBallModel& groundTruthBallModel)
{
  if(oracle)
    (BallModel&) groundTruthBallModel = oracle->getBallModel();
}

MAKE_MODULE(OracleDataProvider, Infrastructure)
