#ifndef SelfLocatorParameterProvider_H
#define SelfLocatorParameterProvider_H

#include "Tools/Module/Module.h"
#include "Representations/Modeling/RobotPose.h"
#include "Representations/Modeling/SelfLocatorParameter.h"

MODULE(SelfLocatorParameterProvider)
  PROVIDES(SelfLocatorParameter)
END_MODULE


/**
* @class SelfLocatorParameterProvider
*/
class SelfLocatorParameterProvider : public SelfLocatorParameterProviderBase
{
public:
  void update(SelfLocatorParameter& parameter);

  /** 
  * A method that contains all intialisations that require 
  * representations from the blackboard.
  */
  void init();

  /** Default constructor. */
  SelfLocatorParameterProvider()
    :configFromFile(0)
  {
  };

  /** Destructor */
  ~SelfLocatorParameterProvider() {};

private:
  SelfLocatorParameter* configFromFile;
};

#endif
