/**
* @file Platform/SimRobotQt/Oracle.h
* Declaration of class Oracle for Win32.
*/

#ifndef __Oracle_h__
#define __Oracle_h__

#include "Representations/Modeling/RobotPose.h"
#include "Representations/Modeling/BallModel.h"

class RoboCupCtrl;
class SimObject;

/**
* This class provides oracled data from the simulated scene. 
*/
class Oracle
{
public:
  /**
  * Constructor
  */
  Oracle();

  /**
  * The function returns the pose of the robot.
  */
  RobotPose getRobotPose() const;

  /**
  * The function returns the position of the ball.
  */
  BallModel getBallModel();

private:
  bool isBlue() const;

  RoboCupCtrl* ctrl;
  SimObject* me;
  BallModel lastBallModel;
};

#endif // __Oracle_h__
