/**
 * @file Platform/linux/Main.cpp
 *
 * @author <A href=mailto:bernd.gersdorf@dfki.de>Bernd Gersdorf</A>
 */

#include "Platform/ProcessFramework.h"
#include "Robot.h"
#include "Processes/CMD/Motion.h"
#include "Processes/CMD/Debug.h"
#include "Processes/CMD/Cognition.h"

static Robot* robot = 0;

static void bhuman_start()
{
  fprintf(stderr, "BHuman: Start.\n");
  robot = new Robot();
  robot->start();
}

static void bhuman_stop()
{
  fprintf(stderr, "BHuman: Stop.\n");
  robot->announceStop();
  usleep(100000);
  delete robot;
  robot = 0;
  fprintf(stderr, "BHuman: Stopped.\n");
}


//building Naoqi module:
#ifdef USE_NAOQI
#include <albroker.h>

extern "C" 
{

int _createModule(AL::ALBroker* pBroker)
{      
  bhuman_start();
  return 0;
}

int _closeModule()
{
  bhuman_stop();
  return 0;
}

} // extern "C"

#endif //USE_NAOQI
