/**
* @file KeyStates.h
* 
* Declaration of class KeyStates
*/ 

#ifndef __KeyStates_h_
#define __KeyStates_h_

#include "Tools/Streams/Streamable.h"

/**
* The class represents the states of the keys.
*/
class KeyStates : public Streamable
{
private:
  void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
    STREAM_ARRAY(pressed);
    STREAM_REGISTER_FINISH();
  }

public:
  enum Key
  {
    up,
    down,
    left,
    right,
    start,
    numberOfKeys
  };

  bool pressed[numberOfKeys];

  KeyStates() 
  {
    for(int i = 0; i < numberOfKeys; ++i)
    {
      pressed[i] = false;
    }
  }

  static const char* getKeyName(Key key)
  {
    switch(key)
    {
    case up: return "up";
    case down: return "down";
    case left: return "left";
    case right: return "right";
    case start: return "start";
    default: return "unknown";
    }
  }
};


#endif //__KeyStates_h_
