/**
* @file Representations/MotionControl/WalkRequest.h
* This file declares a class that represents a walk request.
* @author <A href="mailto:Thomas.Roefer@dfki.de">Thomas Rfer</A>
*/

#ifndef __WalkRequest_H__
#define __WalkRequest_H__

#include "Tools/Math/Pose2D.h"

/**
* @class WalkRequest
* A class that represents a walk request.
*/
class WalkRequest : public Streamable
{
private:
  virtual void serialize( In* in, Out* out)
  {  
    STREAM_REGISTER_BEGIN( );
    STREAM(speed);
    STREAM_REGISTER_FINISH();
  }

public:
  Pose2D speed; /**< Walking speeds, in mm/s and radians/s. */
};

#endif // __WalkRequest_H__
