/**
* @file BallPercept.cpp
*
* Very simple representation of a seen ball
*
* @author <a href="mailto:timlaue@informatik.uni-bremen.de">Tim Laue</a>
*/

#include "BallPercept.h"
#include "Tools/Debugging/DebugDrawings.h"

void BallPercept::serialize(In* in, Out* out)
{
  STREAM_REGISTER_BEGIN();
    STREAM(positionInImage);
    STREAM(radiusInImage);
    STREAM(ballWasSeen);
    STREAM(relativePositionOnField);
  STREAM_REGISTER_FINISH();
}

void BallPercept::draw()
{
  DECLARE_DEBUG_DRAWING("representation:BallPercept:Image", "drawingOnImage", "drawing of representation BallPercept");
  DECLARE_DEBUG_DRAWING("representation:BallPercept:Field", "drawingOnField", "drawing of representation BallPercept");
  if(ballWasSeen)
  {
    CIRCLE("representation:BallPercept:Image", 
      positionInImage.x, 
      positionInImage.y, 
      radiusInImage, 
      1, // pen width 
      Drawings::ps_solid, 
      ColorClasses::orange,
      Drawings::bs_solid, 
      ColorRGBA(255,128,64,100));
    CIRCLE("representation:BallPercept:Field", 
      relativePositionOnField.x, 
      relativePositionOnField.y, 
      45, 
      1, // pen width 
      Drawings::ps_solid, 
      ColorClasses::orange,
      Drawings::bs_null, 
      ColorClasses::orange);
  }
}
