
#ifndef ActuatorWindow_H
#define ActuatorWindow_H

#include <QHash>

#include "SubWindow.h"

class ActuatorWidget;
class QSlider;
class QSpinBox;
class QPushButton;
class QHBoxLayout;
class QCheckBox;

class ActuatorWindow : public SubWindow
{
  Q_OBJECT;

public:
  ActuatorWindow(QMdiArea* mdiArea);

  void addObject(const QString& obj);
  void removeObject(const QString& obj);
  int getObjectCount();

private:
  QHash<QString, ActuatorWidget*> actuators;
  QHBoxLayout *layout;
  
  void writeLayout();
  void restoreLayout();

  void closeEvent(QCloseEvent* event);
};

class ActuatorWidget : public QWidget
{
  Q_OBJECT

public:
  ActuatorWidget(const QString& object, QWidget* parent);

public slots:
  void valueChangedSlot(int value);
  void closeSlot();
  void updateActuatorSlot();

private:
  QString actuatorName;
  QSlider* slider;
  QSpinBox* txbValue;
  QPushButton* btnExit;
  QCheckBox* cbxSet;
};

#endif //ActuatorWindow_H
