
#ifndef __CONSOLE_H__
#define __CONSOLE_H__

#include <QDockWidget>
#include <QTextEdit>

class ConsoleTextEdit;

class Console : public QDockWidget
{
  Q_OBJECT

public:
  Console(QWidget* parent);

private:
  ConsoleTextEdit* textEdit;

private slots:
  void clearSlot();
  void printSlot(const QString& text);

protected:
  void hideEvent(QHideEvent * event);
  void showEvent(QShowEvent * event);
};

class ConsoleTextEdit : public QTextEdit
{
public:
  ConsoleTextEdit(Console* parent);

private:
  void keyPressEvent(QKeyEvent* event);
};

#endif //__CONSOLE_H__

