
#ifndef Editor_H
#define Editor_H

#include "SubWindow.h"

class QTextEdit;

class Editor : public SubWindow
{
  Q_OBJECT

public:
  Editor(QMdiArea* mdiArea);
  ~Editor();

private slots:
  void copyAvailableSlot(bool yes);
  void redoAvailableSlot(bool available);
  void undoAvailableSlot(bool available);
  void textChangedSlot();
  void aboutToSaveDocumentSlot();

private:
  void connectMenuBar();
  void disconnectMenuBar();
  void restoreLayout();
  void writeLayout();

  QTextEdit* textEdit;
  bool canCopy;
  bool canUndo;
  bool canRedo;
};

#endif // Editor_H
