
#ifndef __MENUBAR_H__
#define __MENUBAR_H__

#include <QMenuBar>

class QActionGroup;

class MenuBar : public QMenuBar
{
public:
  MenuBar(QWidget* parent);
  ~MenuBar();

  static MenuBar* menuBar;

  QAction* fileNewAction;
  QAction* fileOpenAction;
  QAction* fileSaveAction;
  QAction* fileSaveAsAction;
  QAction* fileCloseAction;
  QAction* fileExitAction;

  QAction* editUndoAction;
  QAction* editRedoAction;
  QAction* editCutAction;
  QAction* editCopyAction;
  QAction* editPasteAction;
  QAction* editPlaneAction;

  QAction* viewToolBarAction;
  QAction* viewStatusBarAction;
  QAction* viewConsoleAction;
  QAction* viewTreeAction;
  QAction* viewEditorAction;
  QAction* viewGridAction;
  QAction* viewPlaneAction;
  QAction* viewSurfaceAction;
  QAction* viewCameraAction;
  QAction* viewFovAction;
  QAction* viewDetailSensorsAction;
  QAction* viewControllerDrawingsAction;

  QAction* simResetAction;
  QAction* simStartAction;
  QAction* simStepAction;
  QAction* simGenerateCubeMapAction;
  QAction* simShowFpsAction;
  QAction* simShowStatistics;

  QAction* winCloseAction;
  QAction* winCloseAllAction;
  QAction* winTileAction;
  QAction* winCascadeAction;
  QAction* winNextAction;
  QAction* winPreviousAction;

  QAction* helpAboutAction;
  QAction* helpAboutQtAction;
  QAction* helpContextAction;

  QAction* surfaceWire;
  QAction* surfaceFlat;
  QAction* surfaceSmooth;
  QAction* surfaceTexture;
  QAction* surfaceCameraSim;
  QAction* surfacePhysicsWire;
  QAction* surfacePhysicsFlat;
  QAction* surfacePhysicsSmooth;
  QAction* surfaceMixed1;
  QAction* surfaceMixed2;

  QAction* camTarget;
  QAction* camFree;
  QAction* camPresentation;
  QAction* camReset;
  QAction* camToggle;
  QAction* camFit;
  QAction* camSnapToRoot;

  QAction* fov20;
  QAction* fov40;
  QAction* fov60;
  QAction* fov80;
  QAction* fov100;
  QAction* fov120;

  QAction* dragXY;
  QAction* dragXZ;
  QAction* dragYZ;
  QAction* dragKeepDynamics;
  QAction* dragResetDynamics;
  QAction* dragApplyDynamics;

  QAction* resize160x120;
  QAction* resize320x240;
  QAction* resize480x360;
  QAction* resize640x480;

  QMenu* fileMenu;
  QMenu* editMenu;
  QMenu* viewMenu;
  QMenu* simMenu;
  QMenu* winMenu;
  QMenu* helpMenu;
  QMenu* surfaceMenu;
  QMenu* cameraMenu;
  QMenu* fovMenu;
  QMenu* dragMenu;
  QMenu* resizeMenu;

  void resetFileMenu();
  void resetWinMenu();
  void resetEditMenu();
  void resetViewMenu();

private:

  QActionGroup* surfaceActionGroup;
  QActionGroup* cameraActionGroup;
  QActionGroup* fovActionGroup;
  QActionGroup* dragPlaneActionGroup;
  QActionGroup* dragModeActionGroup;

  void createActions();
  void createMenus();
};


#endif //__MENUBAR_H__
