
#ifndef SensorWindow_H
#define SensorWindow_H

#include "SubWindow.h"

class DirectView;
class QMimeData;

class SensorWindow : public SubWindow
{
  Q_OBJECT;

public:
  SensorWindow(QMdiArea* mdiArea, const QString& object);

private slots:
  void updateSlot();
  void copySlot();

private:
  DirectView* directView;
  QWidget* widget;

  void updateObject();
  void restoreLayout();
  void writeLayout();
  void connectMenuBar();
  void disconnectMenuBar();

  void contextMenuEvent(QContextMenuEvent* event);

  void setClipboardGraphics(QMimeData& mimeData);
  void setClipboardText(QMimeData& mimeData);
};

#endif // SensorWindow_H
