
#include <QHideEvent>
#include <QToolButton>

#include "ToolBar.h"
#include "MenuBar.h"

ToolBar::ToolBar(QWidget* parent) : QToolBar(parent)
{
  setObjectName(tr("Toolbar"));
  setWindowTitle(tr("Toolbar"));
  setIconSize(QSize(16, 16));

  MenuBar* menuBar = MenuBar::menuBar;

  addAction(menuBar->fileNewAction);
  addAction(menuBar->fileOpenAction);
  addAction(menuBar->fileSaveAction);
  addSeparator();

  addAction(menuBar->editCutAction);
  addAction(menuBar->editCopyAction);
  addAction(menuBar->editPasteAction);
  addSeparator();

  
  addAction(menuBar->editPlaneAction);
  qobject_cast<QToolButton*>(widgetForAction(menuBar->editPlaneAction))->setPopupMode(QToolButton::InstantPopup);
  addSeparator();

  addAction(menuBar->viewTreeAction);
  addSeparator();

  addAction(menuBar->viewSurfaceAction);
  
  qobject_cast<QToolButton*>(widgetForAction(menuBar->viewSurfaceAction))->setPopupMode(QToolButton::InstantPopup);

  addAction(menuBar->viewCameraAction);

  qobject_cast<QToolButton*>(widgetForAction(menuBar->viewCameraAction))->setPopupMode(QToolButton::InstantPopup);

  addSeparator();

  addAction(menuBar->viewGridAction);
  addAction(menuBar->viewDetailSensorsAction);
  addSeparator();

  addAction(menuBar->simResetAction);
  addAction(menuBar->simStartAction);
  addAction(menuBar->simStepAction);
  addSeparator();

  addAction(menuBar->helpContextAction);

  connect(menuBar->viewToolBarAction, SIGNAL(triggered(bool)), SLOT(setVisible(bool)));
  menuBar->viewToolBarAction->setEnabled(true);
}

void ToolBar::hideEvent(QHideEvent* event)
{
  QToolBar::hideEvent(event);

  MenuBar::menuBar->viewToolBarAction->setChecked(false);
  event->accept();
}

void ToolBar::showEvent(QShowEvent* event)
{
  QToolBar::showEvent(event);

  MenuBar::menuBar->viewToolBarAction->setChecked(true);
  event->accept();
}
