
#ifndef Tree_H
#define Tree_H

#include <QDockWidget>
#include <QSet>
#include <QIcon>

class ObjectTreeModel;
class QModelIndex;
class QTreeView;

class Tree : public QDockWidget
{
  Q_OBJECT

public:
  const QIcon objectIcon;
  const QIcon sensorIcon;
  const QIcon actuatorIcon;
  const QIcon categoryIcon;

  Tree(QWidget* parent);

protected:
  void hideEvent(QHideEvent * event);
  void showEvent(QShowEvent * event);

private slots:
  void itemActivatedSlot(const QModelIndex&);
  void itemCollapsedSlot(const QModelIndex &index);
  void itemExpandedSlot(const QModelIndex &index);
  void updateTreeSlot();
  void closeTreeSlot();
  void restoreLayoutSlot();
  void writeLayoutSlot();

private:
  ObjectTreeModel* objectTreeModel;
  QTreeView* treeView;
  QSet<QString> expandedItems;

  QString getFullName(const QModelIndex &index) const;
};

#endif // Tree_H
