/**
* @file ColorClasses.h
* Declaration of class ColorClasses
*
* @author <A href="mailto:timlaue@informatik.uni-bremen.de">Tim Laue</A>
*/

#ifndef __ColorClasses_h__
#define __ColorClasses_h__


/**
* @class ColorClasses
* 
* Static class for color class functions.
*
* @author <A href="mailto:timlaue@informatik.uni-bremen.de">Tim Laue</A>
*/
class ColorClasses
{
public:
  enum Color
  {
    none,                   /*<! all other objects */
    orange,                 /*<! ball */
    yellow,                 /*<! yellow goal and flag */
    blue,                   /*<! blue goal and flag */
    white,                  /*<! lines */
    green,                  /*<! field */
    black,                  /*<! robots */
    magenta,                /*<! magenta of dribble beacon> */
    cyan,                   /*<! cyan of dribble beacon> */
    numOfColors             /*<! number of colors */
  };

  /**
  * Returns the name of a color class
  * @param color The color class
  * @return The name
  */
  static const char* getColorName(Color color)
  {
    switch(color) 
    {
    case none: return "none";
    case orange: return "orange"; 
    case yellow: return "yellow"; 
    case blue: return "blue";
    case green: return "green"; 
    case white: return "white";
    case black: return "black";
    case magenta: return "magenta";
    case cyan: return "cyan";
    default: return "unknown color!"; 
    };
  }
};

#endif //__ColorClasses_h_
